package com.rjconsultores.ventaboletos.relatorios.impl;

import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.relatorios.receitaDespesa.RelatorioFinanceiroReceitasDespesasBean;
import com.rjconsultores.ventaboletos.relatorios.utilitarios.DataSource;
import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class RelatorioFinanceiroReceitasDespesasAgencia extends Relatorio {
	
	protected List<RelatorioFinanceiroReceitasDespesasBean> lsDadosRelatorio;
	
	public RelatorioFinanceiroReceitasDespesasAgencia(Map<String, Object> parametros, List<RelatorioFinanceiroReceitasDespesasBean> lsDadosRelatorio) throws Exception {
		
		super(parametros, null);
		this.lsDadosRelatorio = lsDadosRelatorio;
		
		this.setCustomDataSource(new DataSource(this) {
			 @Override
			public void initDados() throws Exception {
				super.initDados();
				setCollectionDataSource(new JRBeanCollectionDataSource(getLsDadosRelatorio()));
			}
		});
		
	}
	
	@Override
	protected void processaParametros() throws Exception {}
	
	private List<RelatorioFinanceiroReceitasDespesasBean> getLsDadosRelatorio() {
		return this.lsDadosRelatorio;
	}

}
